This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 136090 - missing return statement
missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 15:43 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 06:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-17 15:43:38 EDT
Description of problem:

I just tried to compile package coreutils-5.2.1-26 from
Redhat Fedora Core 3 Test 3.

The compiler said

fold.c(256): warning #1011: missing return statement at end of
non-void function "fold_text"

The source code is

	free(line_out);
}

Suggest add return statement at end of routine.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2004-10-18 08:41:39 EDT
Better solution is to make the function return void.

Reported upstream.
Comment 2 Tim Waugh 2004-10-18 11:43:18 EDT
Actually this comes from coreutils-i18n.patch.  Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.